### Method

# Gtk ListStore insert_after

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_insert_after (
      GtkListStore* list_store,
      GtkTreeIter* iter,
      GtkTreeIter* sibling
    )

#### Description [src]

Inserts a new row after `sibling`. If `sibling` is `NULL`, then the row will be prepended to the beginning of the list. `iter` will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call `gtk_list_store_set()` or gtk_list_store_set_value().

Deprecated since: 4.10

Use list models.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An unset `GtkTreeIter` to set to the new row.

  The argument will be set by the function.
  The data is owned by the instance.

`sibling`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.